#############################################################################
# Makefile for building: apitux
# Generated by qmake (2.01a) (Qt 4.6.0) on: lun. 18. juil. 12:11:34 2011
# Project:  src.pro
# Template: app
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUNICODE -DQT_LARGEFILE_SUPPORT -DQT_NEEDS_QMAIN -DQT_DLL -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_THREAD_SUPPORT
CFLAGS        = -O2 -Wall $(DEFINES)
CXXFLAGS      = -O2 -frtti -fexceptions -mthreads -Wall $(DEFINES)
INCPATH       = -I"..\..\..\..\Qt\2009.05\qt\include\QtCore" -I"..\..\..\..\Qt\2009.05\qt\include\QtGui" -I"..\..\..\..\Qt\2009.05\qt\include\QtSql" -I"..\..\..\..\Qt\2009.05\qt\include" -I"." -I"..\..\..\..\Qt\2009.05\qt\include\ActiveQt" -I"release" -I"." -I"..\..\..\..\Qt\2009.05\qt\mkspecs\win32-g++"
LINK        =        g++
LFLAGS        =        -enable-stdcall-fixup -Wl,-enable-auto-import -Wl,-enable-runtime-pseudo-reloc -Wl,-s -Wl,-subsystem,windows -mthreads -Wl
LIBS        =        -L"c:\Qt\2009.05\qt\lib" -lmingw32 -lqtmain -lQtSql4 -lQtGui4 -lQtCore4 -LC:\mysql-5.1.41-win32\lib\opt -lmysql 
QMAKE         = c:\Qt\2009.05\qt\bin\qmake.exe
IDC           = c:\Qt\2009.05\qt\bin\idc.exe
IDL           = midl
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = 
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
DEL_FILE      = del
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
INSTALL_FILE    = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR     = $(COPY_DIR)

####### Output directory

OBJECTS_DIR   = release

####### Files

SOURCES       = apidialog.cpp \
		main.cpp \
		textdialog.cpp \
		configdialog.cpp release\moc_apidialog.cpp \
		release\moc_textdialog.cpp \
		release\moc_configdialog.cpp \
		release\qrc_image.cpp
OBJECTS       = release/apidialog.o \
		release/main.o \
		release/textdialog.o \
		release/configdialog.o \
		release/moc_apidialog.o \
		release/moc_textdialog.o \
		release/moc_configdialog.o \
		release/qrc_image.o
DIST          = 
QMAKE_TARGET  = apitux
DESTDIR        = ..\bin\ #avoid trailing-slash linebreak
TARGET         = apitux.exe
DESTDIR_TARGET = ..\bin\apitux.exe

####### Implicit rules

.SUFFIXES: .cpp .cc .cxx .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

first: all
all: Makefile.Release  $(DESTDIR_TARGET)

$(DESTDIR_TARGET): ui_apidialog.h ui_textdialog.h ui_configdialog.h $(OBJECTS) 
	$(LINK) $(LFLAGS) -o $(DESTDIR_TARGET) $(OBJECTS)  $(LIBS)


qmake:  FORCE
	@$(QMAKE) -win32 -o Makefile.Release src.pro

dist:
	$(ZIP) apitux.zip $(SOURCES) $(DIST) src.pro ..\..\..\..\Qt\2009.05\qt\mkspecs\qconfig.pri ..\..\..\..\Qt\2009.05\qt\mkspecs\features\qt_functions.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\qt_config.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\exclusive_builds.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\default_pre.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\win32\default_pre.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\release.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\debug_and_release.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\default_post.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\win32\default_post.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\build_pass.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\win32\windows.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\qt.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\win32\thread.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\moc.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\win32\rtti.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\win32\exceptions.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\win32\stl.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\shared.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\warn_on.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\resources.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\uic.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\yacc.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\lex.prf ..\..\..\..\Qt\2009.05\qt\mkspecs\features\include_source_dir.prf c:\Qt\2009.05\qt\lib\qtmain.prl  HEADERS RESOURCES IMAGES SOURCES OBJECTIVE_SOURCES FORMS YACCSOURCES YACCSOURCES LEXSOURCES 

clean: compiler_clean 
	-$(DEL_FILE) release\apidialog.o release\main.o release\textdialog.o release\configdialog.o release\moc_apidialog.o release\moc_textdialog.o release\moc_configdialog.o release\qrc_image.o

distclean: clean
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile.Release

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: release/moc_apidialog.cpp release/moc_textdialog.cpp release/moc_configdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) release\moc_apidialog.cpp release\moc_textdialog.cpp release\moc_configdialog.cpp
release/moc_apidialog.cpp: ui_apidialog.h \
		apidialog.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 apidialog.h -o release\moc_apidialog.cpp

release/moc_textdialog.cpp: ui_textdialog.h \
		textdialog.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 textdialog.h -o release\moc_textdialog.cpp

release/moc_configdialog.cpp: ui_configdialog.h \
		configdialog.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 configdialog.h -o release\moc_configdialog.cpp

compiler_rcc_make_all: release/qrc_image.cpp
compiler_rcc_clean:
	-$(DEL_FILE) release\qrc_image.cpp
release/qrc_image.cpp: image.qrc \
		images/image_apicrypt.png
	c:\Qt\2009.05\qt\bin\rcc.exe -name image image.qrc -o release\qrc_image.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_apidialog.h ui_textdialog.h ui_configdialog.h
compiler_uic_clean:
	-$(DEL_FILE) ui_apidialog.h ui_textdialog.h ui_configdialog.h
ui_apidialog.h: apidialog.ui
	c:\Qt\2009.05\qt\bin\uic.exe apidialog.ui -o ui_apidialog.h

ui_textdialog.h: textdialog.ui
	c:\Qt\2009.05\qt\bin\uic.exe textdialog.ui -o ui_textdialog.h

ui_configdialog.h: configdialog.ui
	c:\Qt\2009.05\qt\bin\uic.exe configdialog.ui -o ui_configdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 



####### Compile

release/apidialog.o: apidialog.cpp apidialog.h \
		ui_apidialog.h \
		textdialog.h \
		ui_textdialog.h \
		configdialog.h \
		ui_configdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release\apidialog.o apidialog.cpp

release/main.o: main.cpp apidialog.h \
		ui_apidialog.h \
		textdialog.h \
		ui_textdialog.h \
		connexion.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release\main.o main.cpp

release/textdialog.o: textdialog.cpp textdialog.h \
		ui_textdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release\textdialog.o textdialog.cpp

release/configdialog.o: configdialog.cpp configdialog.h \
		ui_configdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release\configdialog.o configdialog.cpp

release/moc_apidialog.o: release/moc_apidialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release\moc_apidialog.o release\moc_apidialog.cpp

release/moc_textdialog.o: release/moc_textdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release\moc_textdialog.o release\moc_textdialog.cpp

release/moc_configdialog.o: release/moc_configdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release\moc_configdialog.o release\moc_configdialog.cpp

release/qrc_image.o: release/qrc_image.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release\qrc_image.o release\qrc_image.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

